/* Display Property */

.div1 {
	background-color: green;
	display: inline;
}

#span1 {
	background-color: purple;
	display: none;
	width: 200px;
	height: 200px;
}

#span2 {
	background-color: #dc143c;
	display: block;
}

#div2 {
	display: none;
}

img	{
	width: 250px;
	height: 250px;
}

#p-1 {
	background-color: #ff44dd;
}

#p-2 {
	background-color: rgb(255,105,180);
	width: 60%;
}

#p-3 {
	width: 40%;
	background-color: yellow;
}

.sample {
	display: inline-block;
	width: 30%;
	border: 1px black solid;
	text-align: center;
}

/* float property */
.img-float {
	float: right;
	width: 50px;
	height: 50px;
}

/* CSS Units */
.box {
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fiftyPercent {
	width: 50%;
}

.oneHundredPixels {
	width: 200px;
}

.fiftyVW {
	width: 50vw;
}

.fiftyVH {
	height: 50vh;
}

.parent {
	width: 135px;
	border: 2px solid navy;
	font-size: 50px;
}

.oneRem {
	font-size: 1rem;
}

.twoRem {
	font-size: 2rem;
}

.oneEm {
	font-size: 1em;
}

.twoEm {
	font-size: 2em;
}

.background {
	min-height: 100vh;
	background-color: gray;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
}

.bg-title {
	color: #fff;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 30rem;
}

.container-bg {
	min-height: 100vh;
	background-color: rgba(0,0,0,0.8);
}

/*CSS Positioning*/
.parent-element {
	background-color: skyblue;
	padding: 10px;
	min-height: 200vh;
}

.child-one {
	background-color: gray;
	padding: 10px;
}

.child-two {
	background-color: yellow;
	padding: 10px;
	top: 10px;
	left: 10px;
	/* static will follow the document flow */
	/**/
	position: sticky;
}

.child-three {
	background-color: gray;
	padding: 10px;
}

/* z-index property */
.container {
	position: relative;
}

.black-box {
	position: relative;
	border: 2px solid black;
	height: 100px;
	width: 30px;
}

.gray-box {
	position: absolute;
	background-color: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
	z-index: 2;
}

.green-box {
	position: absolute;
	background-color: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
	z-index: 1;
}